Bug 1201508 - [RFE] RHEV 3.6 Must Support -m rhel7.2.0 for 3.6 Cluster Compatibility Level
Summary: [RFE] RHEV 3.6 Must Support -m rhel7.2.0 for 3.6 Cluster Compatibility Level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Betak
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On: 1202349 1233255
Blocks: RHEV3.6PPC
TreeView+ depends on / blocked
 
Reported: 2015-03-12 20:45 UTC by Scott Herold
Modified: 2016-03-13 13:31 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.6.0-9
Doc Type: Enhancement
Doc Text:
With this update virtual machines in the cluster level of Red Hat Enterprise Virtualization 3.6 run with the pc-i440fx-rhel7.2.0 machine type on x86 architecture and pseries-rhel7.2.0 on ppc64 architecture by default. This means that virtual machines can use all of the capabilities provided by these new machine types.
Clone Of:
: 1251126 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:59:26 UTC
oVirt Team: Virt
sherold: Triaged+
ylavi: testing_beta_priority+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 41665 None None None Never
oVirt gerrit 43374 None None None Never

Description Scott Herold 2015-03-12 20:45:30 UTC
Need to ensure that the default machine type for RHEV 3.6 clusters is -m rhel7.2.0

Comment 1 Michal Skrivanek 2015-03-19 10:49:39 UTC
"-M pc-i440fx-rhel7.2.0"

Comment 2 Michal Skrivanek 2015-03-27 13:48:18 UTC
note on RHEL 7.2 PPC LE it should be pseries-rhel7.2.0

Comment 3 Michal Skrivanek 2015-05-22 14:01:44 UTC
we also need to bump it up for Fedora to pc-2.1 because of memory hotplug

Comment 5 Michal Skrivanek 2015-06-03 07:38:09 UTC
partially updated to 7.1 type on x86

Comment 7 Michal Skrivanek 2015-07-01 14:23:14 UTC
we want to add a warning dialog on 3.5->3.6 change to express warnings specific to the new cluster compatibility
e.g. new machine type, warning that on requiring virtio-rng when hosts do not have them means all go NonOperational, etc.

should contain 'do you want to proceed yes/no' functionality

applicable to 7.1 change done in 41665 already

Comment 17 Michal Skrivanek 2015-07-22 08:50:08 UTC
ppc64le build is already updated, x86 is not.
See earlier comments

Comment 18 Michal Skrivanek 2015-08-05 12:45:01 UTC
(In reply to Michal Skrivanek from comment #7)
> we want to add a warning dialog on 3.5->3.6 change to express warnings
> specific to the new cluster compatibility
> e.g. new machine type, warning that on requiring virtio-rng when hosts do
> not have them means all go NonOperational, etc.
> 
> should contain 'do you want to proceed yes/no' functionality
> 
> applicable to 7.1 change done in 41665 already

now tracked in bug 1202349

Comment 20 Yaniv Lavi 2015-08-20 15:13:00 UTC
should this be on qa?

Comment 23 Michal Skrivanek 2015-09-01 08:30:05 UTC
as per irc conversation tested on x86 successfully as well

Comment 24 Michal Skrivanek 2015-09-01 08:45:33 UTC
sorry, as per irc conversation moving back to ON_QA to test properly on x86 and ppc
(comment #21 is not actually testing it alright)

Comment 25 Nikolai Sednev 2015-09-01 12:18:33 UTC
Tested using these:
# /usr/libexec/qemu-kvm  qemu-kvm -M ?
Supported machines are:
pc                   RHEL 7.2.0 PC (i440FX + PIIX, 1996) (alias of pc-i440fx-rhel7.2.0)
pc-i440fx-rhel7.2.0  RHEL 7.2.0 PC (i440FX + PIIX, 1996) (default)
pc-i440fx-rhel7.1.0  RHEL 7.1.0 PC (i440FX + PIIX, 1996)
pc-i440fx-rhel7.0.0  RHEL 7.0.0 PC (i440FX + PIIX, 1996)
rhel6.6.0            RHEL 6.6.0 PC
rhel6.5.0            RHEL 6.5.0 PC
rhel6.4.0            RHEL 6.4.0 PC
rhel6.3.0            RHEL 6.3.0 PC
rhel6.2.0            RHEL 6.2.0 PC
rhel6.1.0            RHEL 6.1.0 PC
rhel6.0.0            RHEL 6.0.0 PC
q35                  RHEL-7.2.0 PC (Q35 + ICH9, 2009) (alias of pc-q35-rhel7.2.0)
pc-q35-rhel7.2.0     RHEL-7.2.0 PC (Q35 + ICH9, 2009)
pc-q35-rhel7.1.0     RHEL-7.1.0 PC (Q35 + ICH9, 2009)
pc-q35-rhel7.0.0     RHEL-7.0.0 PC (Q35 + ICH9, 2009)
none                 empty machine

And via the WEBUI of the engine I also saw that default highest reported type of VM machine to be created was pc-i440fx-rhel7.2.0.

I've tried to add RHEL<7.2 to the engine3.6 to default host cluster, which was working in 3.6 compatibility mode and failed to add the host as expected.

Comment 26 Nikolai Sednev 2015-09-08 14:24:26 UTC
Works also on PPC:
qemu-kvm-rhev-2.3.0-22.el7.ppc64le
libvirt-client-1.2.17-6.el7.ppc64le
vdsm-4.17.5-1.el7ev.noarch
sanlock-3.2.4-1.el7.ppc64le
mom-0.5.0-1.el7ev.noarch
ovirt-vmconsole-1.0.0-0.0.1.master.el7ev.noarch
ovirt-vmconsole-host-1.0.0-0.0.1.master.el7ev.noarch


# /usr/libexec/qemu-kvm  qemu-kvm -M ?
Supported machines are:
none                 empty machine
pseries              RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (alias of pseries-rhel7.2.0)
pseries-rhel7.2.0    RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (default)

Comment 27 Nikolai Sednev 2015-09-08 14:25:49 UTC
Linux ibm-p8-rhevm-hv-01.klab.eng.bos.redhat.com 3.10.0-307.el7.ppc64le #1 SMP Thu Aug 20 09:27:48 EDT 2015 ppc64le ppc64le ppc64le GNU/Linux

Red Hat Enterprise Linux Server release 7.2 Beta (Maipo)

Linux version 3.10.0-307.el7.ppc64le (mockbuild@ppc-026.build.eng.bos.redhat.com) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-9) (GCC) ) #1 SMP Thu Aug 20 09:27:48 EDT 2015

Comment 30 errata-xmlrpc 2016-03-09 20:59:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.